summaryrefslogtreecommitdiffstats
path: root/python/python3-nltk
diff options
context:
space:
mode:
Diffstat (limited to 'python/python3-nltk')
-rw-r--r--python/python3-nltk/README12
-rw-r--r--python/python3-nltk/python3-nltk.SlackBuild89
-rw-r--r--python/python3-nltk/python3-nltk.info10
-rw-r--r--python/python3-nltk/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/python/python3-nltk/README b/python/python3-nltk/README
new file mode 100644
index 0000000000..23d0f70541
--- /dev/null
+++ b/python/python3-nltk/README
@@ -0,0 +1,12 @@
+Open source Python modules, linguistic data and documentation for
+research and development in natural language processing, supporting
+dozens of NLP tasks, with distributions for Windows, Mac OSX and Linux.
+
+NLTK comes with many corpora, toy grammars, trained models, etc. A
+complete list is posted at: http://nltk.org/nltk_data/. To retrieve all
+the data, use "python3 -m nltk.downloader all". To ensure system
+wideinstallation, you can run the command "python3 -m nltk.downloader -d
+/usr/share/nltk_data all" as root. Note that the 'python3-regex'
+package, also available on SBo, is required to run this command.
+
+python3-numpy is an optional runtime dependency.
diff --git a/python/python3-nltk/python3-nltk.SlackBuild b/python/python3-nltk/python3-nltk.SlackBuild
new file mode 100644
index 0000000000..0654412bba
--- /dev/null
+++ b/python/python3-nltk/python3-nltk.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for python3-nltk.
+#
+# Copyright 2009-2011 Marco Bonetti <sid77@slackware.it>
+# Copyright 2015-2023 Gregory J. L. Tourte <artourter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=python3-nltk
+VERSION=${VERSION:-3.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=nltk
+SRCVER=$VERSION
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS.md ChangeLog CONTRIBUTING.md LICENSE.txt README.md RELEASE-HOWTO.txt SECURITY.md"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$SRCVER
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python3 -m build --no-isolation
+python3 -m installer -d "$PKG" dist/*.whl
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/python/python3-nltk/python3-nltk.info b/python/python3-nltk/python3-nltk.info
new file mode 100644
index 0000000000..171e4c3bdc
--- /dev/null
+++ b/python/python3-nltk/python3-nltk.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-nltk"
+VERSION="3.8.1"
+HOMEPAGE="http://www.nltk.org/"
+DOWNLOAD="https://github.com/nltk/nltk/archive/refs/tags/3.8.1/nltk-3.8.1.tar.gz"
+MD5SUM="e8a74c5fd3ac8f789768636f20cba998"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-regex python3-build python3-wheel"
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
diff --git a/python/python3-nltk/slack-desc b/python/python3-nltk/slack-desc
new file mode 100644
index 0000000000..2a9a364ce5
--- /dev/null
+++ b/python/python3-nltk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-nltk: python3-nltk (Natural Language ToolKit)
+python3-nltk:
+python3-nltk: Open source Python modules, linguistic data and documentation for
+python3-nltk: research and development in natural language processing, supporting
+python3-nltk: dozens of NLP tasks, with distributions for Windows, Mac OSX and
+python3-nltk: Linux.
+python3-nltk:
+python3-nltk:
+python3-nltk:
+python3-nltk:
+python3-nltk: